/*
Theme Name:   Template
Description:  A child theme from Hello Elementor
Author:       Agência Seconect
Author URL:   https://agenciaseconect.com.br
Template:     hello-elementor
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  hello-elementor
*/

.ags-qty {
    --height: 35px;
}

.ags-qty-controls {
    display: flex;
    gap: 5px;
}

.ags-qty-controls input.ags-qty-input {
    width: 60px;
    height: var(--height);
    line-height: var(--height);
    padding: 0 5px;
    border: 1px solid #CCC;
    font-size: 14px;
    text-align: center;
    border-radius: 10px;
    flex: 1;
}

.ags-qty-controls button {
    width: var(--height);
    height: var(--height);
    background-color: #CCC;
    border: 0;
    color: #666;
    padding: 0;
    border-radius: 10px;
}

.ags-qty-controls button:hover,
.ags-qty-controls button:focus {
    background-color: var(--e-global-color-primary);
    color: #FFF;
}

.ags-variation select {
    /* width: 200px; */
    border-radius: 10px;
    /* width: max-content; */
    height: var(--height);
    border: 1px solid #CCC;
    font-size: 14px;
    padding: 0 5px;
    margin-bottom: 15px;
}

/*
==================================================
Cart
==================================================
*/

.ags-cart-products {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-flow: row;
    grid-column-gap: 20px;
    grid-row-gap: 30px;
}

/* .ags-cart-products .ags-cart-product-item :is(.e-loop-item, .e-loop-item > div) {
    height: 100%;
    } */

/* ================================================== */
/* Checkout */
/* ================================================== */

.ags-checkout-form .form-section {
    margin-bottom: 30px;
}

.ags-checkout-form .form-section h3 {
    margin: 0 0 15px 0;
}

.ags-checkout-form .ags-form-control {
    margin-bottom: 15px;
}

.ags-checkout-form .ags-form-control label {
    display: block;
    margin-bottom: 5px;
}

.ags-checkout-form .ags-form-control label sup {
	color: red;
}

.ags-checkout-form .ags-form-control :is(input, select, textarea) {
    border-radius: 10px;
    border: 1px solid #CCC;
}

.ags-checkout-form button[type="submit"] {
    border-radius: 10px;
    border: 0;
    background-color: var(--e-global-color-primary);
    color: #FFF;
    font-weight: 500;
    font-size: 14px;
}

.ags-checkout-form .form-section-row {
    display: flex;
    gap: 20px;
}

.ags-checkout-form .form-section-row .form-sr-3 {
    width: 25%;
}

.ags-checkout-form .form-section-row .form-sr-4 {
    width: 33.33333%;
}

.ags-checkout-form .form-section-row .form-sr-6 {
    width: 50%;
}

/*===========================================*/
/*Responsive*/
/*===========================================*/

@media (max-width: 767px) {
    .ags-checkout-form .form-section-row {
        flex-direction: column;
        gap: 0px;
    }
    
    .ags-checkout-form .ags-form-control {
        margin-bottom: 20px;
    }
    
    .ags-checkout-form .form-section-row [class*="form-sr-"] {
        width: 100%;
    }
    
}

